﻿using System;
using OpcLabs.EasyOpc.UA;
using OpcLabs.EasyOpc.DataAccess;
using System.Runtime.ExceptionServices;

namespace QuickOPCCrash
{
    internal class Program
    {
        static void Main(string[] args)
        {
            AppDomain.CurrentDomain.FirstChanceException += Application_ThreadException;
            AppDomain.CurrentDomain.UnhandledException += CurrentDomain_UnhandledException;

            using (EasyDAClient da = new EasyDAClient())
            using (EasyUAClient ua = new EasyUAClient())
                Console.ReadLine();
        }

        private static void CurrentDomain_UnhandledException(object sender, UnhandledExceptionEventArgs e)
        {
            if(e.ExceptionObject is Exception ex)
                Console.WriteLine(ex.ToString());
        }

        private static void Application_ThreadException(object sender, FirstChanceExceptionEventArgs e)
        {
            Console.WriteLine(e.Exception.ToString());
        }
    }
}
